curl --request GET \
--url https://app.freyavoice.ai/api/v2/agents/{agentId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"message": "<string>",
"result": {
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"config": {
"llmConfig": {
"provider": "<string>",
"model": "<string>",
"systemPrompt": "<string>",
"firstMessage": "<string>",
"baseUrl": "<string>",
"apiKey": "<string>",
"firstMessageMode": "assistant-waits-for-user",
"disableInterruptionsDuringFirstMessage": false,
"maxTokens": 1000,
"temperature": 0.7,
"tools": [],
"additionalSettings": {}
},
"ttsConfig": {
"provider": "<string>",
"model": "<string>",
"voiceId": "<string>",
"language": "multi",
"baseUrl": "<string>",
"apiKey": "<string>",
"additionalSettings": {},
"startSpeakingPlan": {
"waitSeconds": 0.4
},
"stopSpeakingPlan": {
"numberOfWords": 1,
"voiceSeconds": 0.4,
"backOffSeconds": 0.4
}
},
"sstConfig": {
"provider": "<string>",
"model": "<string>",
"language": "multi",
"baseUrl": "<string>",
"apiKey": "<string>",
"additionalSettings": {}
},
"complianceConfig": {
"pciDss": false,
"mifidIi": false,
"euAiAct": false,
"soc2": false
},
"callTimeoutSettings": {
"silenceTimeout": 0,
"maximumDuration": 600,
"checkInMessage": null,
"closureMessage": null
},
"voicemailDetection": {
"enabled": false,
"messageMode": "none",
"staticMessage": null,
"voicemailResponseDelay": 2
},
"dtmfConfig": {
"enabled": false,
"timeout": 2,
"terminationDigit": "#",
"prefix": "DTMF: "
},
"postConversationAnalysis": {
"summaryPrompt": null,
"autoDetectProblems": false,
"analysisModel": null
},
"privacyConfig": {
"enableRecording": false,
"getRecordingConsent": false,
"recordingConsentText": null,
"stopSecs": 1,
"preSpeechMs": 1,
"maxDurationSecs": 1
},
"turnAnalyzerConfig": {
"provider": "local",
"url": "<string>",
"modelPath": "<string>"
},
"guardrailsConfig": {
"guardrails_enabled": false,
"custom_rules_enabled": false,
"rules": [],
"refuse_message": "I'm sorry, I can't help with that.",
"max_regenerate_retries": 2,
"regenerate_wait_message": "One moment, please.",
"classifier_enabled": false,
"classifier_provider": "<string>",
"classifier_model": "<string>"
},
"knowledgebaseConfig": {
"documentIds": []
},
"backgroundSoundUrl": null,
"syncSource": {
"url": "<string>",
"apiKey": "<string>",
"syncedAt": "2023-11-07T05:31:56Z"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"entityType": "workflow",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}Returns detailed agent information including configuration.
curl --request GET \
--url https://app.freyavoice.ai/api/v2/agents/{agentId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"message": "<string>",
"result": {
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"config": {
"llmConfig": {
"provider": "<string>",
"model": "<string>",
"systemPrompt": "<string>",
"firstMessage": "<string>",
"baseUrl": "<string>",
"apiKey": "<string>",
"firstMessageMode": "assistant-waits-for-user",
"disableInterruptionsDuringFirstMessage": false,
"maxTokens": 1000,
"temperature": 0.7,
"tools": [],
"additionalSettings": {}
},
"ttsConfig": {
"provider": "<string>",
"model": "<string>",
"voiceId": "<string>",
"language": "multi",
"baseUrl": "<string>",
"apiKey": "<string>",
"additionalSettings": {},
"startSpeakingPlan": {
"waitSeconds": 0.4
},
"stopSpeakingPlan": {
"numberOfWords": 1,
"voiceSeconds": 0.4,
"backOffSeconds": 0.4
}
},
"sstConfig": {
"provider": "<string>",
"model": "<string>",
"language": "multi",
"baseUrl": "<string>",
"apiKey": "<string>",
"additionalSettings": {}
},
"complianceConfig": {
"pciDss": false,
"mifidIi": false,
"euAiAct": false,
"soc2": false
},
"callTimeoutSettings": {
"silenceTimeout": 0,
"maximumDuration": 600,
"checkInMessage": null,
"closureMessage": null
},
"voicemailDetection": {
"enabled": false,
"messageMode": "none",
"staticMessage": null,
"voicemailResponseDelay": 2
},
"dtmfConfig": {
"enabled": false,
"timeout": 2,
"terminationDigit": "#",
"prefix": "DTMF: "
},
"postConversationAnalysis": {
"summaryPrompt": null,
"autoDetectProblems": false,
"analysisModel": null
},
"privacyConfig": {
"enableRecording": false,
"getRecordingConsent": false,
"recordingConsentText": null,
"stopSecs": 1,
"preSpeechMs": 1,
"maxDurationSecs": 1
},
"turnAnalyzerConfig": {
"provider": "local",
"url": "<string>",
"modelPath": "<string>"
},
"guardrailsConfig": {
"guardrails_enabled": false,
"custom_rules_enabled": false,
"rules": [],
"refuse_message": "I'm sorry, I can't help with that.",
"max_regenerate_retries": 2,
"regenerate_wait_message": "One moment, please.",
"classifier_enabled": false,
"classifier_provider": "<string>",
"classifier_model": "<string>"
},
"knowledgebaseConfig": {
"documentIds": []
},
"backgroundSoundUrl": null,
"syncSource": {
"url": "<string>",
"apiKey": "<string>",
"syncedAt": "2023-11-07T05:31:56Z"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"entityType": "workflow",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Agent ID
Workspace ID